> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frictio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Teams

> ワークスペース内のチームを一覧で取得します。
チーム名の昇順で返却されます。
member_ids は Members API（`/v1/members`）の id と突合できます。




## OpenAPI

````yaml /openapi.yaml get /v1/teams
openapi: 3.1.0
info:
  title: Frictio Public API
  version: 1.0.0-beta
servers:
  - url: https://public-api.frictio.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/teams:
    get:
      summary: List Teams
      description: |
        ワークスペース内のチームを一覧で取得します。
        チーム名の昇順で返却されます。
        member_ids は Members API（`/v1/members`）の id と突合できます。
      operationId: listTeams
      parameters:
        - $ref: '#/components/parameters/workspaceId'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/offsetLimit'
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - pagination
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TeamWithMembers'
                  pagination:
                    $ref: '#/components/schemas/OffsetPagination'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    workspaceId:
      name: X-Workspace-Id
      in: header
      required: true
      description: ワークスペースID
      schema:
        type: string
      example: e1f2a3b4-...
    page:
      name: page
      in: query
      required: false
      description: ページ番号（1始まり、デフォルト1）
      schema:
        type: integer
        minimum: 1
        default: 1
    offsetLimit:
      name: limit
      in: query
      required: false
      description: 1ページあたりの取得件数（1〜200、デフォルト50）
      schema:
        type: integer
        minimum: 1
        maximum: 200
        default: 50
  schemas:
    TeamWithMembers:
      type: object
      description: |
        Teams APIで返却されるチーム情報。
        主キーは id で返し、既存のミーティング関連 Team schema の team_id とは分けています。
      required:
        - id
        - name
        - member_ids
      properties:
        id:
          type: string
          description: チームID
          example: b2c3d4e5-...
        name:
          type: string
          description: チーム名
          example: 営業チーム
        member_ids:
          type: array
          description: |
            チームに所属するアクティブなメンバーのIDリスト。
            Members API（`/v1/members`）の id と突合できます。
          items:
            type: string
          example:
            - c3d4e5f6-...
    OffsetPagination:
      type: object
      required:
        - page
        - limit
        - total_size
        - total_pages
      properties:
        page:
          type: integer
          description: ページ番号（1始まり）
          example: 1
        limit:
          type: integer
          description: 1ページあたりの件数
          example: 50
        total_size:
          type: integer
          description: 総件数
          example: 123
        total_pages:
          type: integer
          description: 総ページ数
          example: 3
    Error:
      type: object
      required:
        - statusCode
        - message
      properties:
        statusCode:
          type: integer
          description: HTTPステータスコード
          example: 404
        message:
          type: string
          description: エラーメッセージ
          example: Meeting not found
        error:
          type: string
          description: |
            エラー種別。メッセージ文字列付きで例外が生成された場合のみ含まれます。
          example: Not Found
  responses:
    Unauthorized:
      description: APIキーが無効、失効、期限切れ、または未指定です
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 401
            message: Invalid API key
            error: Unauthorized
    Forbidden:
      description: 権限エラー
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 403
            message: Forbidden
    TooManyRequests:
      description: レートリミット超過
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 429
            message: Too Many Requests
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````